#ifndef __CYTON_CMD_PUB_H
#define __CYTON_CMD_PUB_H

#define CYTON_CMD_HEAD      (0xfffffffe)

typedef enum tagCytonCmd_Type {
    CYTON_CMD_START = 0,
    CYTON_CMD_STOP,
    CYTON_CMD_HZ,
    CYTON_CMD_SD,
	CYTON_CMD_UNKNOW,     /* -5 Read data error */
} CYTON_CMD_TYPE_E;


#pragma pack(push)
#pragma pack(1)
typedef struct stCytonCmd_Head{
    unsigned int uiHead;
    unsigned int iType;
    unsigned int uiParam1;
    unsigned int uiParam2;
} CYTON_CMD_INFO_T;
#pragma pack(pop)

int CytonCmd_Pkg(unsigned int uiCmd, unsigned int uiParam1, unsigned int uiParam2);
int CytonCmd_PraseTcpJson(char *szData, int iLen);
char *CytonCmd_GetServerIp();
int CytonCmd_GetServerPort();
char *CytonCmd_PkgData(int *iLen);

#endif